> For the complete documentation index, see [llms.txt](https://docs.arcticons.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.arcticons.com/other-platforms/linux/advanced-generate-your-own-flavour-of-arcticons.md).

# Advanced: Generate your own flavour of Arcticons

You can generate your own flavour of Arcticons!

To generate your own flavour of Arcticons, you need your environment prepared as described in [Preparing the codebase](/other-platforms/linux/contribute.md#preparing-the-codebase)

Afterwards, you need to create a TOML file containing one or more sections like this:

```toml
[arcticons-dark]
name="Arcticons Dark"
comment="A Line-based icon pack. (Version for dark themes)"
inherits="breeze-dark,Adwaita,hicolor"
overwrite=false
archive=false
src_color="#000"
color="#fff"
line_weight=2
src_paths=["icons_linux", ".arcticons/icons/black"]
```

* The section name is the destination folder.
* `name` is the name which will be put into the `index.theme`
* `comment` is the description which will be put into the `index.theme`
* `inherits` is the list of themes, which this theme will inherit (for icons which are not in this theme yet)
* `overwrite` describes whether the destination folder will be deleted or the generator will try to update the icons.
* `archive` describes whether an archive file of the destination folder should be created (Currently not working)
* `src_color` is the color of the source icons (the source icons used by Arcticons-Linux are `#000`)
* `color` is the color which should be applied to the icons. Possible values are all color recognized by CSS/SVG
* `line_weight` is the thickness of the strokes
* `src_paths` describes the paths where the generation script should look for icons, ordered by preference

To generate the icons, run `uv run scripts/generate_icons.py -c <your_toml_file>`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.arcticons.com/other-platforms/linux/advanced-generate-your-own-flavour-of-arcticons.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
